For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/api/orders/llms.txt. For full documentation content, see https://developer.shipbob.com/api/orders/llms-full.txt.

# Get Shipment by Order ID and Shipment ID

GET https://api.shipbob.com/2026-01/order/{orderId}/shipment/{shipmentId}

Retrieves detailed shipment information for a specific order and shipment combination, including shipment status, tracking information, fulfillment center location, and contained products.

Reference: https://developer.shipbob.com/api/orders/get-shipment-by-order-id-and-shipment-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2026-01
  version: 1.0.0
paths:
  /2026-01/order/{orderId}/shipment/{shipmentId}:
    get:
      operationId: get-shipment-by-order-id-and-shipment-id
      summary: Get Shipment by Order ID and Shipment ID
      description: >-
        Retrieves detailed shipment information for a specific order and
        shipment combination, including shipment status, tracking information,
        fulfillment center location, and contained products.
      tags:
        - subpackage_orders
      parameters:
        - name: orderId
          in: path
          description: The order id to get the shipment for
          required: true
          schema:
            type: string
            format: int32
        - name: shipmentId
          in: path
          description: The shipment id to get
          required: true
          schema:
            type: string
            format: int32
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token or OAuth2
          required: true
          schema:
            type: string
        - name: shipbob_channel_id
          in: header
          description: >-
            Retrieve your channel ID from the [GET
            /channel](/api/channels/get-channels) endpoint. Use the channel ID
            that has write scopes.
          required: false
          schema:
            type: string
            format: int32
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Orders.ShipmentViewModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Orders.Get.Api.Order.OrderId.Shipment.ShipmentId.Bad.Request.Object
        '401':
          description: No access right at this time
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: No access
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Orders.FulfillmentStatus:
      type: string
      enum:
        - AwaitingInventoryAllocation
        - AwaitingReset
        - Unavailable
        - PendingOnTime
        - FulfilledOnTime
        - PendingLate
        - FulfilledLate
      title: Orders.FulfillmentStatus
    Orders.FulfillmentCenterViewModel:
      type: object
      properties:
        id:
          type: integer
          description: Id of the fulfillment center
        name:
          type:
            - string
            - 'null'
          description: Name of the fulfillment center
      description: Information about a fulfillment center that a shipment can belong to
      title: Orders.FulfillmentCenterViewModel
    Orders.MeasurementsViewModel:
      type: object
      properties:
        depth_in:
          type: integer
          description: Total depth in inches
        length_in:
          type: integer
          description: Total length in inches
        total_weight_oz:
          type: integer
          description: Total weight in ounces
        width_in:
          type: integer
          description: Total width in inches
      description: Measurements of a shipment
      title: Orders.MeasurementsViewModel
    Orders.PackageMaterialType:
      type: string
      enum:
        - Unknown
        - Box
        - BubbleMailer
        - PolyMailer
        - FragileBox
        - PosterTube
        - Custom
        - Bookfold
        - OwnContainer
        - Undefined
      title: Orders.PackageMaterialType
    Orders.InventoryViewModel:
      type: object
      properties:
        expiration_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Expiration date of the inventory
        id:
          type: integer
          description: Unique id of the inventory
        is_dangerous_goods:
          type: boolean
          description: Is inventory Dangerous Good
        lot:
          type:
            - string
            - 'null'
          description: Lot number of the inventory
        name:
          type:
            - string
            - 'null'
          description: Name of the inventory item
        quantity:
          type: integer
          description: Quantity of the inventory item to be included in the fulfillment
        quantity_committed:
          type: integer
          description: >-
            The quantity of the inventory item allocated from the assigned
            fulfillment center and committed to the order. If quantity committed
            is less than order quantity, then the inventory item is out of stock
            at the assigned fulfillment center.
        serial_numbers:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Serial number of the inventory
      description: Information about inventory belonging to a store product
      title: Orders.InventoryViewModel
    Orders.ShipmentProductViewModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique id of the product
        inventory_items:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.InventoryViewModel'
          description: >-
            Information about fulfillable inventory items belonging to this
            product
        name:
          type:
            - string
            - 'null'
          description: Name of the product
        reference_id:
          type:
            - string
            - 'null'
          description: Unique reference id of the product
        sku:
          type:
            - string
            - 'null'
          description: Stock keeping unit for the product
      description: Information about a store product belonging to a shipment
      title: Orders.ShipmentProductViewModel
    Orders.CartonDetailsViewModel:
      type: object
      properties:
        products:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.ShipmentProductViewModel'
          description: List of what is packed in this carton
      title: Orders.CartonDetailsViewModel
    Orders.CartonMeasurementsViewModel:
      type: object
      properties:
        depth_in:
          type: number
          format: double
          description: Total depth in inches
        length_in:
          type: number
          format: double
          description: Total length in inches
        total_weight_oz:
          type: number
          format: double
          description: Total weight in ounces
        width_in:
          type: number
          format: double
          description: Total width in inches
      description: Measurements of a carton
      title: Orders.CartonMeasurementsViewModel
    Orders.CartonViewModel:
      type: object
      properties:
        barcode:
          type:
            - string
            - 'null'
          description: Barcode assigned to this carton
        carton_details:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.CartonDetailsViewModel'
          description: Details about the contents of this carton
        id:
          type: integer
          description: ID assigned to this carton
        measurements:
          $ref: '#/components/schemas/Orders.CartonMeasurementsViewModel'
        type:
          type:
            - string
            - 'null'
          description: Type of this carton container
      title: Orders.CartonViewModel
    Orders.ParentCartonViewModel:
      type: object
      properties:
        barcode:
          type:
            - string
            - 'null'
          description: Barcode assigned to this carton
        cartons:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.CartonViewModel'
          description: Cartons packed inside this parent container
        measurements:
          $ref: '#/components/schemas/Orders.CartonMeasurementsViewModel'
        type:
          type:
            - string
            - 'null'
          description: Type of this carton container
      title: Orders.ParentCartonViewModel
    Orders.AddressViewModel:
      type: object
      properties:
        address1:
          type: string
          description: First line of the address
        address2:
          type:
            - string
            - 'null'
          description: Second line of the address
        city:
          type: string
          description: The city
        company_name:
          type:
            - string
            - 'null'
          description: Name of the company receiving the shipment
        country:
          type: string
          description: The country (Must be ISO Alpha-2 for estimates)
        state:
          type:
            - string
            - 'null'
          description: The state or province
        zip_code:
          type:
            - string
            - 'null'
          format: postal-code
          description: The zip code or postal code
      required:
        - address1
        - city
        - country
      title: Orders.AddressViewModel
    Orders.AddressType:
      type: string
      enum:
        - MarkFor
        - ShipFrom
      title: Orders.AddressType
    Orders.RetailerProgramDataAddressViewModel:
      type: object
      properties:
        address1:
          type: string
          description: First line of the address
        address2:
          type:
            - string
            - 'null'
          description: Second line of the address
        city:
          type: string
          description: The city
        company_name:
          type:
            - string
            - 'null'
          description: Name of the company receiving the shipment
        country:
          type: string
          description: The country (Must be ISO Alpha-2 for estimates)
        state:
          type:
            - string
            - 'null'
          description: The state or province
        zip_code:
          type:
            - string
            - 'null'
          format: postal-code
          description: The zip code or postal code
        type:
          $ref: '#/components/schemas/Orders.AddressType'
      required:
        - address1
        - city
        - country
        - type
      description: Address to used when creating a B2B/DropShip order.
      title: Orders.RetailerProgramDataAddressViewModel
    OrdersRecipientViewModelAddress:
      oneOf:
        - $ref: '#/components/schemas/Orders.AddressViewModel'
        - $ref: '#/components/schemas/Orders.RetailerProgramDataAddressViewModel'
      description: Address of the recipient
      title: OrdersRecipientViewModelAddress
    Orders.RecipientViewModel:
      type: object
      properties:
        address:
          oneOf:
            - $ref: '#/components/schemas/OrdersRecipientViewModelAddress'
            - type: 'null'
          description: Address of the recipient
        email:
          type:
            - string
            - 'null'
          format: email
          description: Email address of the recipient
        full_name:
          type:
            - string
            - 'null'
          description: FullName of the recipient
        name:
          type:
            - string
            - 'null'
          description: Name of the recipient
        phone_number:
          type:
            - string
            - 'null'
          format: tel
          description: Phone number of the recipient
      description: Information about the recipient of a shipment
      title: Orders.RecipientViewModel
    Orders.OrderStatusEnum:
      type: string
      enum:
        - None
        - Processing
        - Completed
        - Exception
        - OnHold
        - Cancelled
        - CleanSweeped
        - LabeledCreated
        - ImportReview
      title: Orders.OrderStatusEnum
    Orders.StatusInformationViewModel:
      type: object
      properties:
        validation_messages:
          type:
            - array
            - 'null'
          items:
            type: string
      title: Orders.StatusInformationViewModel
    Orders.StatusDetailViewModel:
      type: object
      properties:
        description:
          type:
            - string
            - 'null'
          description: Describes what the status detail means
        exception_fulfillment_center_id:
          type:
            - integer
            - 'null'
        extra_information:
          $ref: '#/components/schemas/Orders.StatusInformationViewModel'
        id:
          type: integer
          description: The id of the status detail
        inventory_id:
          type:
            - integer
            - 'null'
          description: Inventory Id the detail applies to (if applicable)
        name:
          type:
            - string
            - 'null'
          description: Short name of the status detail
      title: Orders.StatusDetailViewModel
    Orders.TrackingViewModel:
      type: object
      properties:
        bol:
          type:
            - string
            - 'null'
          description: >-
            Bill of lading (BOL) number. Document acknowledging receipt of cargo
            for shipment.
        carrier:
          type:
            - string
            - 'null'
          description: Carrier of the shipment
        carrier_service:
          type:
            - string
            - 'null'
          description: The carrier's service which was used for this shipment
        pro_number:
          type:
            - string
            - 'null'
          description: Tracking number used for freight carriers
        scac:
          type:
            - string
            - 'null'
          description: >-
            Standard Carrier Alpha Code (SCAC). Unique 2-4 letter code used to
            identify transportation companies.
        shipping_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Date freight was shipped on
        tracking_number:
          type:
            - string
            - 'null'
          description: Tracking number of the shipment
        tracking_url:
          type:
            - string
            - 'null'
          description: URL to the website where a shipment can be tracked
      description: Tracking information for a shipment
      title: Orders.TrackingViewModel
    Orders.ShipmentViewModel:
      type: object
      properties:
        actual_fulfillment_date:
          type:
            - string
            - 'null'
          format: date-time
          description: "The datetime of ShipBob’s completion of the fulfillment operation as promised.\r\nCurrently, this means the shipment has been picked, packed, and label has been printed."
        created_date:
          type: string
          format: date-time
          description: Date this shipment was created
        delivery_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The datetime of Shipment delivered to customer.
        estimated_fulfillment_date:
          type:
            - string
            - 'null'
          format: date-time
          description: "The datetime of ShipBob’s commitment for completing\r\nthe shipment and handing to the carrier for delivery."
        estimated_fulfillment_date_status:
          $ref: '#/components/schemas/Orders.FulfillmentStatus'
        gift_message:
          type:
            - string
            - 'null'
          description: Gift message associated with the shipment
        id:
          type: integer
          description: Unique id of the shipment
        insurance_value:
          type:
            - number
            - 'null'
          format: double
          description: Monetary amount that this shipment was insured for
        invoice_amount:
          type:
            - number
            - 'null'
          format: double
          description: Monetary amount that was invoiced for this shipment
        invoice_currency_code:
          type:
            - string
            - 'null'
        is_tracking_uploaded:
          type: boolean
          description: "Indicates whether the Shipment was marked with tracking information\r\nuploaded to a third-party system where the order originated."
        last_tracking_update_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp for the last time this shipment had a tracking update
        last_update_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Date this shipment was last updated
        location:
          $ref: '#/components/schemas/Orders.FulfillmentCenterViewModel'
        measurements:
          $ref: '#/components/schemas/Orders.MeasurementsViewModel'
        order_id:
          type: integer
          description: Id of the order this shipment belongs to
        package_material_type:
          $ref: '#/components/schemas/Orders.PackageMaterialType'
        parent_cartons:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.ParentCartonViewModel'
          description: Carton information for this shipment
        products:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.ShipmentProductViewModel'
          description: Information about the products contained in this shipment
        recipient:
          $ref: '#/components/schemas/Orders.RecipientViewModel'
        reference_id:
          type:
            - string
            - 'null'
          description: >-
            Client-defined external unique id of the order this shipment belongs
            to
        require_signature:
          type: boolean
          description: If a shipment requires signature
        ship_option:
          type:
            - string
            - 'null'
          description: Name of the shipping option used for this shipment
        status:
          $ref: '#/components/schemas/Orders.OrderStatusEnum'
        status_details:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.StatusDetailViewModel'
          description: Additional details about the shipment status
        tracking:
          $ref: '#/components/schemas/Orders.TrackingViewModel'
      description: Information about a shipment
      title: Orders.ShipmentViewModel
    Orders.Get.Api.Order.OrderId.Shipment.ShipmentId.Bad.Request.Object:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      title: Orders.Get.Api.Order.OrderId.Shipment.ShipmentId.Bad.Request.Object
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token or OAuth2

```

## SDK Code Examples

```python Orders_getShipmentByOrderIdAndShipmentId_example
import requests

url = "https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Orders_getShipmentByOrderIdAndShipmentId_example
const url = 'https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Orders_getShipmentByOrderIdAndShipmentId_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Orders_getShipmentByOrderIdAndShipmentId_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Orders_getShipmentByOrderIdAndShipmentId_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Orders_getShipmentByOrderIdAndShipmentId_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Orders_getShipmentByOrderIdAndShipmentId_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Orders_getShipmentByOrderIdAndShipmentId_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```